* {
    margin: 0;
    padding: 0;
    font-family: calibri;
    box-sizing: border-box;
}

/* Estilos del Sidebar*/
/******************************************************************************************/

.sidebar {
    position: absolute;
    width: 250px;
    height: 100%;
    background: #333;
    outline: 1px solid #212121;
    transform: translateX(-252px);
    transition:all 0.5s;
    z-index:1;
}/*************************************/

.imagen_logo{
    background: #212121;
    text-align: center;
}

.sidebar ul{
    list-style: none;
}

.sidebar ul li {
    outline: 1px solid #212121;
    transition: 0.3s;
}

.sidebar ul li:hover {
    background: #444;
    border-left: 4px solid #fff;
    transition:border 0.3s;
}

.sidebar ul li a{
    display: block;
    padding: 10px;
    color: #fff;
    text-decoration: none;
    font-family: calibri;
    letter-spacing: 1px;
}

.sidebar img{
    width: 100px;
}

/*boton sidebar*/
.contenido {
    height: 10px;
    width: 10px;
    position: absolute;
    padding: 15px;
    z-index: 1; /*************************************/
    
}

.abrir {
    transform: translateX(-0px);
    transition:all 0.5s;
}

/*contenedor de todo el menu y el logo*/
.cabecera {
    width: 100%; 
    position: fixed;
    background: #555555;
    display: NONE;
    justify-content: space-between;
}
/* logo superior izquierdo*/
.logo_menu {
    width: 100px;
    height: 70px;
}
/* Menu */
.menu {
    display: flex;
    align-self: center;
}

.menu a {
    color: #fff;
    padding: 10px;
    text-decoration: none;
    font-family: calibri;
    font-weight: bolder;
    letter-spacing: 1px;
}
.menu a:hover {
    color:#1eb513;
    border-bottom: 2px solid #1eb513;
}
/*Fin de todo el menu
************************************************/

/* MAIN SECTION*/
.main-section {
    background-image: url('../img/programacion.jpg');
    width: 100%;
    height: 80vh;
    background-size: cover;
    display: table;
}

.main-section .text-pagrapgh{
    position: absolute;
    width: 90%;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-120%);
}

.text-pagrapgh {
    text-align: center;
    font-family: calibri;
    font-weight: bold;
    text-shadow: 5px 3px 6px #000;
    font-size: 19px;
}

/********************** DISEÑO-WEB SECTION ********************/

.webDesign-section{
    width: 100%;
    padding-top: 20px;
}

.webDesign-container {
    width: 80%;
    margin: auto;
    padding: 10px;
    border: 1px solid #BFBFBF;
    background-color: white;
    box-shadow: 10px 10px 5px #aaaaaa;
}

.webDesign-title {
    padding: 15px 20px;
    border-left: 4px solid #034b09;
    font-size: 20px;
}

.webDesign-description {
    padding: 10px;
    text-align: justify;
}

.webDesign-btn {
    text-decoration: none;
    padding: 5px 35px;
    border: 3px solid #000;
    color: #000;
    font-weight: bold;
    transition: 0.3s;
    background: #fff;
}

.webDesign-btn:hover {
    color: #fff;
    background: #000;
    transition: 0.3s;
}
/*imagen quitada*/
.imagen img{
    width: 90%;
    margin: 15px 0 0 5%;
}


/********************** WebDesign-Section2 ***************************/
.webDesign-section2{
    background-image: url('../img/img-codigo.jpg');
    width: 100%;
    height: 80vh;
    background-size: cover;
    display: table;
}

.webDesign-container2 {
    width: 80%;
    margin: auto;
    margin-top: 20%;
    padding: 10px;
    border: 1px solid #BFBFBF;
    background-color: white;
    box-shadow: 10px 10px 5px #aaaaaa;
}

.webDesign-title2 {
    padding: 15px 20px;
    border-left: 4px solid #ce34ce;
    font-size: 20px;
}

.webDesign-description2 {
    padding: 10px;
    text-align: justify;
}

.webDesign-btn2 {
    text-decoration: none;
    padding: 5px 5px;
    border: 3px solid #000;
    color: #000;
    font-weight: bold;
    transition: 0.3s;
    background: #fff;
}

.webDesign-btn2:hover {
    color: #fff;
    background: #000;
    transition: 0.3s;
}


/********************** WebDesign-Section3 ***************************/

.webDesign-section3{
    background:#d0cdcd;
    width: 100%;
    height: 80vh;
    background-size: cover;
    display: table;
}

.webDesign-container3 {
    width: 80%;
    margin: auto;
    margin-top: 20%;
    padding: 10px;
    border: 1px solid #BFBFBF;
    background-color: white;
    box-shadow: 10px 10px 5px #aaaaaa;
}

.webDesign-title3 {
    padding: 15px 20px;
    border-left: 4px solid #ce34ce;
    font-size: 20px;
}

.webDesign-description3 {
    padding: 10px;
    text-align: justify;
}

.webDesign-btn3 {
    text-decoration: none;
    padding: 5px 5px;
    border: 3px solid #000;
    color: #000;
    font-weight: bold;
    transition: 0.3s;
    background: #fff;
}

.webDesign-btn3:hover {
    color: #fff;
    background: #000;
    transition: 0.3s;
}

.imagen3 img{
    width: 90%;
    margin: 15px 0 0 5%;
}


/**************SECTION 4 - IMAGENES *******************/

.webDesign-section4 {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #ff8f5d;
    border: 1px solid #ff0a00;
    padding-bottom: 15px;
}

.webDesign-container_imagen {
    width:90%;
    height: 200px;
    margin-top: 5%;
    border: 2px solid #000;
    overflow: hidden;
    position: relative;
    z-index: 0;
}

.webDesign-container_imagen img {
    width:100%;
    height: 100%;
    transition: all .3s;
}

.webDesign-container_imagen:hover img {
    filter: blur(2px);
    transform: scale(1.5);
    transition: all .3s;
}

.webDesign-container_imagen::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    transition: all .3s;
}

.webDesign-container_imagen:hover:before {
    background: rgba(0,0,0,0.4);
    z-index: 2;/*************************************/
    transition: all .3s;
}


/*Texto encima de las imagenes*/

.webDesign-section4-texto{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    color: #fff;
    z-index: 3;  /*************************************/
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.titulo, .parrafo {
    margin: 5px;
    /*padding: 5px;*/
}

/*animacion del titulo*/
.titulo {
    position: relative;
    left: 100%;
    transition: all .3s;
    text-align: center;
}


.webDesign-container_imagen:hover .titulo {
    left: 0;
    animation-delay: .4s;
    transition: all .3s;
}

/*Animacion del parrafo*/
.parrafo {
    text-align: justify;
    font-size: 14px;
    position: relative;
    right: 100%;
    transition: all .3s;
}


.webDesign-container_imagen:hover .parrafo {
    right: 0;
    animation-delay: .4s;
    transition: all .3s;
}
/*dibujar la linea*/
.webDesign-container_imagen::after{
    content: "";
    position: absolute;
    width: 80%;
    height: 2px;
    background: #fff;
    left:-100%;
    top: 10%;
    z-index: 3;/*************************************/
    transform: translate(-50%, -50%);
    transition: all .3s;
}

.webDesign-container_imagen:hover:after{
    left: 50%;
    transition: all .3s;
}


/*************************** FORMULARIO ****************************/

.contenedor-todo {
    background-image: url('../img/gradiente.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    display: table;
    width: 100%;
    height: 100vh;
    padding-top: 20px;
    border: 2px solid #00620f;
}

.contenedor-contacto {
    width: 90%;
    margin: 20px auto;
    background: #6465a5;
    box-sizing: border-box;
    padding: 20px;
    box-shadow: 0 0 5px rgba(0,0,0,0.5);
}

h1 {
    text-align: center;
    text-transform: uppercase;
    color: #fff;
    margin-bottom: 50px;
    font-size: 35px;
}

.contactos {
    display: flex;
    flex-direction: column;
    align-content: space-around;
    text-align: center;
    color: #a9aacd;
    margin-bottom: 40px;
}

.direccion-interna {
    margin-bottom: 10px;
}


.direccion-interna p {
  font-size: 12px;
}
 
.direccion-interna .fas {
    font-size: 30px;
    margin-bottom: 10px;
}


.form {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 30px;
}
 
.form-titulo {
    font-size: 25px;
    margin-bottom: 20px;
    color: #fff;
    text-align: center;
}

.form-input-text {
    width: 100%;
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
}

.textarea-mensage {
    width: 100%;
    margin-bottom: 20px;
    height: 40%
}

.input > input {
    border: 0;
    width:100%;
    margin-bottom: 10px;
    padding: 10px 20px;
    outline: none;
}
 
.msg > textarea {
    min-width: 100%;
    max-width: 100%;
    min-height: 75px;
    max-height: 75px;
    border: 0;
    padding: 10px 20px;
    outline: none;
    height: 80px;
}


.btn {
    border: 2px solid #fff;
    padding: 10px 20px;
    color: #fff;
    cursor: pointer;
    transition: all 0.5s ease;
}
 
.btn:hover{
    background: #fff;
    color: #6465a5;
}


/*redes sociales*/

.redes-sociales {
    width: 100%;
    display: flex;
    justify-content: space-around;
    color: #a9aacd;
}
 
.redes-sociales .fab {
    
    font-size: 30px;
    cursor: pointer;
    transition: all 0.5s ease;
}




/******************************************************************************************/

/******************************************************************************************/

@media only screen and (min-width: 600px){
    .contenido{
        display:none;
    }
    
    .sidebar {
        transform: translateX(0px);
        width: 100%;
        height: 50px;
        display: flex;
        justify-content: space-between;
        position: fixed;
        outline-style:none;
        z-index: 1;
    }
    
    .sidebar ul{
        display: flex;
        align-items: center;
    }
    
    .sidebar ul li:hover {
        border-left: 0px;
        border-bottom:2px  solid #fff;
        outline-style: none;
    }
    
    /*MAIN SECTION*/
    .main-section .text-pagrapgh{
        font-size: 22px;
        background: rgba(255, 255, 255, 0.38);
    }
    
    
    /*IMAGENES*/
    
    .webDesign-container_imagen{
        width: 70%;
        height: 350px;
    }
    
    .titulo{
        font-size: 20px;
    }
    
    .parrafo {
        font-size: 17px;
        padding: 0 15px;
    }
    
    
    .webDesign-container_imagen::after{
        top: 20%;
    }

    /***************** FORMULARIO ************/
    .contenedor-contacto {
        width: 80%;
    }
    
    .contactos {
    display: flex;
    flex-direction: row;
    justify-content:  space-around;
    
    }

    .direccion-interna {
        margin-bottom: 0px;
    }


    .direccion-interna p {
      font-size: 14px;
    }
    
    .input > input {
        width:90%;
        margin-bottom: 15px;
        margin-left: 5%;
    }
 
    .msg > textarea {
        min-width: 90%;
        max-width: 90%;
        min-height: 75px;
        max-height: 75px;
        margin-left: 5%
    }


}


/*********************************************************/
/***************PANTALLA DE ESCRITORIO *******************/
/*********************************************************/

@media only screen and (min-width: 1000px){
 
    /*MAIN SECTION*/
    .main-section {
        height: 100vh;
    }
    .main-section .text-pagrapgh{
        font-size: 30px;
        background: rgba(255, 255, 255, 0.38);
        letter-spacing: 1px;
        transform: translate(-50%,-50%);
    }
    
    .webDesign-section{
        display: flex;
        margin: 70px 0 90px 0;
       
    }
    
    .webDesign-container {
        width: 45%;
        margin-left: 20%;
    }
    
    .imagen img{
        width: 70%;  
    }
    
    .webDesign-section2{
        position: relative;
        height: 90vh;
    }
    
    .webDesign-container2 {
       position: absolute;
        width: 40%;
        bottom: 25%;
        left: 50%;
    }
    
    /********/
    .webDesign-section3{
        display: flex;
        height: 90vh;
        position: relative;
    }
    
    .webDesign-container3 {
       position: absolute;
        width: 35%;
        bottom: 25%;
        left: 20%;
    }
    
    .imagen3 img{
        width: 40%;
        float: right;
        margin-top: 9%;
    }
    
    
    /*Imagenes*/
    
    .webDesign-section4 {
        width: 100%;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-content: center;
        padding: 20px 0 20px 0;
        
    }
    
    .webDesign-container_imagen{
        width: 30%;
        margin-left: 5px;
        margin-top: 10px;
        
    }
    
    /*LINEA*/
    .webDesign-container_imagen::after{
        top: 12%;
    }
    
    .titulo {
        font-size: 22px;
    }

    
    /*************** FORMULARIO *************/
    
    .contenedor-todo {
        width: 100%;
        height: 80vh;
      
    }

    .contenedor-contacto {
        width: 50%;
    }
    
    h1 {
        margin-bottom: 20px;
    }
    
    .contactos {
        margin-bottom: 10px;
    }

    .form {
        margin-top: 0;
    }

    .textarea-mensage{
        
        margin-bottom: 20px;
    }
    
    .redes-sociales i:hover {
        color: #fff;
    }

}